package weixinrpc

import (
	"git.tetele.net/tgo/helper"
	"testing"
)

func Test_CheckImg(t *testing.T){
	appid := "wx3d53ccbaf69f7995"
	appSecret := "165983626235636be54a16404e3e70a7"
	imgUrl := helper.TencentCloudImageCompress("https://images-1306193253.cos.ap-guangzhou.myqcloud.com/uploads/20211026/1635213788c5713f49816c74a0e130694ed6544e71.jpg","450")
	//imgUrl := "https://images-1306193253.cos.ap-guangzhou.myqcloud.com/uploads/20211026/1635213788c5713f49816c74a0e130694ed6544e71.jpg"
	err := ImgSecCheck(appid,appSecret,imgUrl)

	t.Log(err)
}


func Test_CheckMsg(t *testing.T){
	appid := "wx3d53ccbaf69f7995"
	appSecret := "165983626235636be54a16404e3e70a7"
	checkData := map[string]interface{}{
		"openid":"oLBHE4kRuj8ywGKuXMgLbmFKrdkM",
		"scene":3,
		"content":"",
	}

	err := MsgSecCheck(appid,appSecret,checkData)

	t.Log(err)
}